%global momorel 2
%global md5sum_src0 47cf27594abb51ea97f3a8fdb276736d
Summary: Zooming predictive text entry system
Name: dasher
Version: 4.0.2
Release: %{momorel}m
URL: http://www.inference.phy.cam.ac.uk/dasher/
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/4.0/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Source1: http://ftp.gnome.org/pub/GNOME/sources/dasher/dasher.png
#Patch0: dasher-3.2.18-gcc41.patch
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: gtk+-devel >= 2.8.17
BuildPreReq: GConf-devel >= 2.13.5
BuildPreReq: libgnome-devel >= 2.14.0
BuildPreReq: libglade-devel >= 2.5.1
BuildPreReq: libgnomeui-devel >= 2.14.0
BuildPreReq: gnome-speech-devel >= 0.3.10
BuildPreReq: at-spi-devel >= 1.7.7
BuildPreReq: intltool >= 0.34.2
BuildPreReq: gcc-c++ >= 4.1.0
BuildPreReq: desktop-file-utils >= 0.10
BuildPreReq: libbonobo-devel >= 2.14.0
BuildPreReq: cairo-devel >= 1.0.4
BuildPreReq: libwnck-devel >= 2.14.0
PreReq: GConf
PreReq: scrollkeeper

%description 
Dasher is a zooming predictive text entry system, designed for situations
where keyboard input is impractical (for instance, accessibility or PDAs). It
is usable with highly limited amounts of physical input while still allowing
high rates of text entry.

%prep
%setup -q
#%%patch0 -p1 -b .gcc41

%build
%configure
## --enable-speech
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall _sklocalstatedir=%{buildroot}/var/scrollkeeper

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Utility \
  %{buildroot}%{_datadir}/applications/dasher.desktop

# icon for XFce4
mkdir -p %{buildroot}%{_datadir}/pixmaps
install %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/dasher.png

# remove
rm -rf %{buildroot}/var/scrollkeeper
rm %{buildroot}/%{_datadir}/icons/hicolor/icon-theme.cache

%clean
rm -rf --preserve-root %{buildroot}

%post
scrollkeeper-update

%postun
scrollkeeper-update

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/dasher
%{_datadir}/applications/dasher.desktop
%{_datadir}/dasher
%{_datadir}/gnome/help/dasher
%{_datadir}/icons/hicolor/48x48/apps/dasher.png
%{_datadir}/icons/hicolor/scalable/apps/dasher.svg
%{_datadir}/locale/*/*/*
%{_datadir}/omf/dasher
%{_datadir}/pixmaps/dasher.png
%{_mandir}/man1/*

%changelog
* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.0.2-2m)
- disable japanese selection (use canna)
- disable speech. something wrong gnome-speech :-(

* Sun Apr  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.0.2-1m)
- update to 4.0.2

* Sat Dec 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (3.2.18-4m)
- enable gcc-4.1
- add Patch0: dasher-3.2.18-gcc41.patch

* Sun Nov 20 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.2.18-3m)
- remove Patch0: dasher-3.2.11-lib64.patch(x86_64)

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.18-2m)
- add BuildRequires: libwnck-devel >= 2.12.1
- delete autoreconf and make check

* Thu Nov 17 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.18-1m)
- version up
- GNOME 2.12.1 Desktop

* Fri Feb 11 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.3.11-2m)
- enable x86_64.

* Fri Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.3.11-1m)
- version 2.3.11

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.10-4m)
- add %%{_datadir}/pixmaps/dasher.png for XFce4

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.10-3m)
- add Utility to Categories of desktop file for KDE
- BuildPreReq: desktop-file-utils

* Sun Aug 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.3.10-2m)
- rebuild against gcc-c++-3.4.1

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (2.3.10-1m)
- version 2.3.10

* Sat Apr 24 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.3.8-3m)
- rebuild against gnome-speech-0.3.2

* Sat Apr 17 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.3.8-2m)
- correct BuildPreReq:

* Fri Apr 16 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.2.8-1m)
- GNOME 2.6 Desktop
- initial import
